/*
 * @Author: zc
 * @description 随手拍-红包发放
 */
import request from '@/utils/request';
/**
 * @description 获取市民红包发放列表
 * @param {object} params
 */
export const getCitizenRedEnvelopeApprovalList = (params?: object) => {
	return request({
		url: '/api/v1/RedPack/record',
		method: 'get',
		params,
	});
};
/**
 * @description 批量发送红包
 * @param {object} data
 */
export const citizenRedEnvelopeApproval = (data: object) => {
	return request({
		url: '/api/v1/RedPack/record/send_bath',
		method: 'put',
		data,
	});
};
/**
 * @description 获取网格员红包发放列表
 * @param {object} params
 */
export const getGridRedEnvelopeApprovalList = (params?: object) => {
	return request({
		url: '/api/v1/RedPack/record/guider',
		method: 'get',
		params,
	});
};